import java.util.ArrayList;
import java.util.Collections;
import java.util.Scanner;
import java.io.File;
import java.io.FileWriter;

/**
 * Class that processes a text file and writes word frequency stats to another file.
 *   @author Dave Reed
 *  @version 9/3/13
 */
public class WordFrequencies {
    public static final String JUNK_FILE = "junkWords.txt";
    
    public static void main(String[] args) {
        Scanner input = new Scanner(System.in);
        
        System.out.print("Enter the name of the text file to be processed: ");
        String processFileName = input.next();
        String outputFileName = Utils.replaceExtension(processFileName, "out");
        
        WordFreqList words = new WordFreqList(JUNK_FILE);
        
        try {
            Scanner processFile = new Scanner(new File(processFileName));
            while (processFile.hasNext()) {
                words.add(processFile.next());
            }
            processFile.close();
        }
        catch (java.io.FileNotFoundException e) {
            System.out.println("FILE NOT FOUND");
        }
                
        try {
            FileWriter outputFile = new FileWriter(outputFileName);
            outputFile.write(processFileName+"\n");
            for (Word nextWord : words.asListByFreq()) {
                outputFile.write(nextWord.toString()+"\n");
            }
            outputFile.flush();
            outputFile.close();            
        }
        catch (java.io.IOException e) {
            System.out.println("COULD NOT WRITE TO FILE");
        }
    }
}